Subject: bug#59178: [Angel de Vicente] Re: bug#59178: 28.2 ; Problems with Gnus (Emacs) + GnuPG for signing a mail with S/MIME

From: Angel de Vicente <[email-masked]>
Date: Sun, 13 Nov 2022 07:00:58 +0000

Hello,

Björn Bidar <[email-masked]> writes:

> Check ~/.gnupg/gpg-agent.conf for pinentry-program, for me it looks like
> this:
> pinentry-program /usr/bin/pinentry-qt
>
> This pinentry doesn't support the Emacs loopback mode, the GTK2 prompt
> does support the INSIDE_EMACS hack to redirect the entry to Emacs as
> mentioned in the pinentry manual.
>
> The only other thing is that `allow-loopback-pinentry` should be set
> into that file too but I think you have already set that.

I had no pinentry-program in my gpg-agent.conf file. Just for testing I
added:

,----
| allow-loopback-pinentry
| pinentry-program /usr/bin/pinentry-gtk-2
`----

and restarted the gpg-agent (gpgconf --kill gpg-agent), but exactly the
same behaviour as before.

Cheers,
-- 
Ángel de Vicente
 Research Software Engineer (Supercomputing and BigData)
 Tel.: +34 922-605-747
 Web.: http://research.iac.es/proyecto/polmag/

 GPG: 0x8BDC390B69033F52